%define upstream_name	CPAN
%define upstream_version 2.10

%{?perl_default_filter}
# Filter non-Linux dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Mac::BuildTools\\)
# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CPAN::Meta::Requirements\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/A/AN/ANDK/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     CPAN-2.00-increase_cpan-O_precision.patch

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(CPAN::Checksums)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Compress::Base)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Signature)
BuildRequires: perl(Net::FTP)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

Obsoletes:  cpan <= 1.590.200
Provides:   cpan

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use Net::FTP or LWP or some external
download clients to fetch the distributions from the net.

These are fetched from one or more of the mirrored CPAN (Comprehensive
Perl Archive Network) sites and unpacked in a dedicated directory.

The CPAN module also supports the concept of named and versioned
*bundles* of modules. Bundles simplify the handling of sets of related
modules. See Bundles below.

The package contains a session manager and a cache manager. The session
manager keeps track of what has been fetched, built and installed in the
current session. The cache manager keeps track of the disk space
occupied by the make processes and deletes excess space according to a
simple FIFO mechanism.

All methods provided are accessible in a programmer style and in an
interactive shell style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# Signature file does not contain debug files signatures, just ignore the file for tests
%{__mv} SIGNATURE SIGNATURE_test
# perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) issue a warning if not present
# so we just ignore them (they induce a failure if tested)
%{__mv} SIGNATURE_test SIGNATURE

%install
%makeinstall_std
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.100.0-4pclos2017
- rebuild against updates

